Get Tier
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.1/memberships/tiers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.1/memberships/tiers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.1/memberships/tiers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"description": "<string>",
"position": 123,
"statistics": {
"membersCount": 123
},
"pricesAutomaticallyConverted": true,
"askForShippingAddress": true,
"variants": {
"monthly": {
"amounts": {
"usd": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"eur": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"gbp": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"cad": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"aud": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"nzd": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"sek": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"nok": {
"amount": "<unknown>",
"locked": true,
"setAt": "<string>"
},
"dkk": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"pln": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"jpy": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"myr": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"sgd": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"mxn": {
"amount": 123,
"locked": true,
"setAt": "<string>"
}
}
},
"annual": {
"amounts": {
"usd": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"eur": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"gbp": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"cad": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"aud": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"nzd": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"sek": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"nok": {
"amount": "<unknown>",
"locked": true,
"setAt": "<string>"
},
"dkk": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"pln": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"jpy": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"myr": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"sgd": {
"amount": 123,
"locked": true,
"setAt": "<string>"
},
"mxn": {
"amount": 123,
"locked": true,
"setAt": "<string>"
}
},
"constantDiscountPercentageOff": 123
}
},
"freeTrial": true,
"mobileWlaEnabled": true,
"image": {
"url": "<string>",
"thumbnailUrl": "<string>"
},
"discount": {
"percentOff": {
"monthly": 123,
"annual": 123
},
"timeLimited": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
}
}
}Tiers
Get Tier
GET
/
open-api
/
v1.1
/
memberships
/
tiers
/
{id}
Get Tier
OAuth scope:
memberships_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
200 - application/json
Available options:
Published, Unpublished Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I